# Copyright 2018 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#
# Test expects to be run on a jailbroken device in developer mode.

from autotest_lib.server import utils

AUTHOR = "ravisadineni"
NAME = "power_WakeSources"
TIME = "SHORT"
TEST_CATEGORY = "Functional"
TEST_CLASS = "power"
TEST_TYPE = "server"
DEPENDENCIES = "servo_state:WORKING"
ATTRIBUTES = "suite:power_build"
PY_VERSION = 3

DOC = """
Tests the following
    1. Wakes by input devices trigger a full wake.
    2. Wake by RTC triggers a dark resume.
"""

args_dict = utils.args_to_dict(args)
servo_args = hosts.CrosHost.get_servo_arguments(args_dict)

def run(machine):
    host = hosts.create_host(machine, servo_args=servo_args)
    job.run_test("power_WakeSources", host=host, disable_sysinfo=True)

parallel_simple(run, machines)
